1. Payments
Payflow API
Spain
  • Spain
  • Colombia
  • Peru
  • Guides
    • API Integration guide
  • Definitions
    • Employees
      • Employee Statuses
      • Salary Concepts
    • Payments
      • Payment Lifecycle
  • Explore our Public API
    • Auth & Health
      • Health
      • Test an API Key
    • Company
      • Retrieve your Company Details
    • Employee
      • Retrieve an Employee
      • Retrieve all Employees
      • Retrieve all Employees (V1.1)
      • Create an Employee
      • Upsert Employees in Bulk
      • Update an Employee by Personal ID
      • Update an Employee by Payflow ID
      • Update an Employee by Payroll ID
    • Leaves
      • Retrieve all Employees on Leave
      • Create an Employee Leave
      • Remove an Employee Leave
    • Payments
      • Retrieve a Payment
        GET
      • Retrieve all Payments
        GET
      • Retrieve Employee Payments
        GET
      • Calculate Employee Available Amount
        GET
      • Request a Payment
        POST
      • Subscribe to Payment Updates
        POST
      • Mark Payments as Informed
        PUT
    • Flexflow
      • Retrieve all Flexflow Transactions
      • Retrieve Employee Flexflow Transactions
  • Notifications Structure
    • Payment Updates
  • Schemas
    • Company
      • Company Response
    • Employee
      • ES | Create Employee Request
      • ES | Update Employee Request
      • ES | Employee Response
      • Create Employee Leave Request
    • Payment
      • Payment Response
      • Payment Response Convoluted
      • Payment Update
    • Flexflow
      • Employee Flexflow Transactions
    • Error
      • Generic Error Response
  1. Payments

Retrieve Employee Payments

Production
https://api-public.payflow.es
Production
https://api-public.payflow.es
GET
https://api-public.payflow.es
/payments/{personalId}
Retrieves all EWA payments associated with a specific employee, identified by their personalId, during a given period or payment cycle.
If both startDate/endDate and cycle are provided, cycle takes precedence.
If no status query parameter is provided, the endpoint returns payments with processing and processed statuses by default.
The Status Filter
The status query parameter supports filtering by one or multiple statuses. To filter by multiple statuses, send the parameter multiple times.
Example: ?status=error&status=processed
Deprecated Fields
The informedToIntegration field is deprecated. Since all Payflow integrations have been migrated to V2, this field is always false for newer systems.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Bodyapplication/json

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-public.payflow.es/payments/?start=&end=&cycle=&status=undefined' \
--header 'authorization: <api-key>'
Response Response Example
200 - Success
{
    "data": [
        {
            "id": "AaAAAA01aa",
            "user": "12345678Z",
            "userPayrollId": "Emp01",
            "amount": 250,
            "fee": 0,
            "status": "processed",
            "paid": true,
            "requestedAt": "2025-05-05T09:00:00.000Z",
            "paidAt": "2025-05-05T09:01:00.000Z",
            "message": null,
            "informedToIntegration": false
        }
    ]
}
Modified at 2026-05-14 18:31:56
Previous
Retrieve all Payments
Next
Calculate Employee Available Amount
Built with